﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace xamDataGridChangeDataSource
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table1 { get; set; }
        public DataTable table2 { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            table1 = new DataTable();

            table1.Columns.Add("Dosage1", typeof(bool));
            table1.Columns.Add("Drug1", typeof(string));
            table1.Columns.Add("Patient1", typeof(string));
            table1.Columns.Add("Date1", typeof(DateTime));

            table1.Rows.Add(false, "Indocin", "David", DateTime.Now);
            table1.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
            table1.Rows.Add(false, "Hydralazine", "Christoff", DateTime.Now);
            table1.Rows.Add(false, "Combivent", "Janet", DateTime.Now);
            table1.Rows.Add(false, "Dilantin", "Melanie", DateTime.Now);

            table2 = new DataTable();

            table2.Columns.Add("Dosage2", typeof(int));
            table2.Columns.Add("Drug2", typeof(string));
            table2.Columns.Add("Patient2", typeof(string));

            table2.Rows.Add(2, "Indocin1", "David1");
            table2.Rows.Add(33, "Enebrel1", "Sam1");
            table2.Rows.Add(45, "Hydralazine1", "Christoff1");
            table2.Rows.Add(134, "Combivent1", "Janet1");
            table2.Rows.Add(1, "Dilantin1", "Melanie1");

            this.DataContext = table1.DefaultView;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.DataContext = table2.DefaultView;
        }
    }
}
